<?php
/*
** Движок информационного сайта DBBH Site Engine
** Версия 0.2
** Разработчик: DeBOBAHer <debobaher@yandex.ru>
*/
header(file_get_contents('include/lastupdate'));// передача даты и времени последнего обновления сайта
include ('include/main_config.php');// загрузка основных параметров
include ('include/connect.php');// соединение с базой данных
// Выясняем в какой раздел мы попали
if((isset($_GET['chapter']))&&(is_numeric($_GET['chapter'])))
	$chapter=$_GET['chapter'];// это у нас будет либо числовой идентификатор раздела
else
	$chapter=0;// либо 0, если ничего не задано или задано неверно

if(($result = $mysqli->query('SELECT * FROM '.$db_prefix.'chapter WHERE id_chapter='.$chapter))&&($result->num_rows > 0))
	{// проверяем наличие раздела и собираем сведения о нём
	$row = $result->fetch_assoc();
	$chapter_name = $row['name'];
	$remark = htmlspecialchars_decode($row['remark'], ENT_QUOTES);
	}
else
	{// раздела с заданым номером нет.
	// сначала попытаемся перейти на главную страницу
	header('Location: '.$siteAddress);
	// Далее - на случай неудачного перехода
	$chapter = -1;
	$chapter_name = 'Неизвестный раздел';
	$remark = '';
	};
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN">
<!-- DOWNLOADED FROM <?php echo $siteAddress; ?> -->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title><?php echo $site_title.'. '.$chapter_name; ?></title>
<META NAME="Description" CONTENT="<?php echo $site_title.'. '.$chapter_name; ?>">
<META NAME="Language" CONTENT="Russian">
<LINK REL="stylesheet" TYPE="text/css" HREF="styles.css">
<LINK REL="shortcut icon" HREF="favicon.ico" TYPE="image/x-icon">
</head>
<body>
<?php
include ('style/header.php');

// Основная часть раздела
echo '<a name="top"><h1>'.$chapter_name.'</h1></a>';
if($chapter>=0)
	{
	echo $remark;// текст раздела
	
	include ('include/pr_ch_obj.php');// список объектов раздела
	}
else
	echo 'Выберите другой раздел.';// неверный раздел
// Основная часть раздела

include ('style/right.php');
echo file_get_contents('style/copyright.php');
?>
</body>
</html>
